Get Event Log IDs with Credit or Debit for Points

ā—ļø

This is a private API and has been deprecated. Hence hidden.

The API retrieves event log IDs that have CREDIT or DEBIT entries for points from the ledger entries.

🚧

Note

This is a private API and is accessible only through Neo dataflows.

Prerequisites

  • Access to Neo
  • Basic or OAuth authentication details
  • Access group resource - NA

Resource information

URI to be used in Neo dataflow/das/getLedgerEntriesWithEventId
HTTP methodGET
Pagination supported?Yes
Rate limitBased on Neo
Batch supportNA

Request query parameters

ParameterTypeDescription
ledger_entry_types*StringType of entry in the customer’s points ledger.
Allowed values: CREDIT, DEBIT
entity_id*LongUnique ID of the customer.
end_date*DateThe last date for which you want ledger data.
Format: YYYY-MM-DD Example: 2025-06-22
start_date*DateThe start date from which you want the ledger data.
Format: YYYY-MM-DD Example: 2024-01-01
till_ids*IntegerID(s) of the till(s) used to filter the data.
is_filter_not_based_on_date*BooleanWhether to ignore date filtering:
  • If 1: Date filter is skipped, but dummy start_date and end_date must still be provided (e.g., 2025-01-01).
  • If 0: Date filter is applied using the provided range (e.g., 2024-04-01 to 2025-03-31).
is_till_not_present*BooleanWhether to ignore till ID filtering:
  • If 1: Till ID filter is skipped. Use till_ids = -1.
  • If 0: Results are filtered based on given till IDs (e.g., 1234323432, 8759345333).
pageIntegerThe page number of the results.
Example: 2 means page 2.
countIntegerNumber of results per page. Default: 10, Max: 100

Response parameters

ParameterData TypeDescription
ledgerEntryTypeStringType of ledger entry.
Example: CREDIT or DEBIT.
cpsIdLongUnique identifier for the customer points system entry.
configMetadataStringAdditional metadata related to configuration.
pointsLedgerIdLongUnique identifier of the points ledger entry.
createdOnLongTime when the ledger entry was created represented in epoch milliseconds
pointsCategoryNameStringName of the points category used.
eventSubjectIdLongID of the event subject, could be customer ID or other relevant entity.
processingTimeLongTime when the event was processed represented in epoch milliseconds
pointsIntegerNumber of points credited or debited.
categoryTypeStringType of point category.
Example: REGULAR_POINTS, PROMISED_POINTS.
eventTypeIdIntegerUnique identifier of the event type.
sourceProgramIdIntegerProgram ID from which the points originated.
entityMetadataStringJSON string containing metadata such as point-in-time slab details.
requestIdStringUnique request identifier for the event.
customerIdLongUnique ID of the customer.
eventTimeLongTime when the event occurred represented in epoch milliseconds
eventNameStringName of the event.
Example: TransactionAdd, PointsRedemption.
genericEventIdStringUnique identifier for generic events, if applicable.
eventLogIdLongUnique identifier of the event log entry.
tillIdLongID of the till or transaction source location.
uniqueIdStringA unique string identifier for the entry.

Sample response

   [
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 90658412,
        "configMetadata": null,
        "pointsLedgerId": 65097246,
        "createdOn": 1749024851000,
        "pointsCategoryName": "Main",
        "eventSubjectId": 2152306113,
        "processingTime": 1738481105000,
        "points": 21,
        "categoryType": "REGULAR_POINTS",
        "eventTypeId": 15,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"pointInTimeSlabs\": [{\"programId\": 2809, \"isDefaultProgram\": true, \"pointInTimeSlabName\": \"Gold\", \"pointInTimeSlabNumber\": 3}]}",
        "requestId": "d8f7da7b79a28d97765ba69c94a6038b",
        "customerId": 387970841,
        "eventTime": 1738481105000,
        "eventName": "TransactionAdd",
        "genericEventId": null,
        "eventLogId": 38769015,
        "tillId": 50692627,
        "uniqueId": "CP3lQggexz"
      },
      {
        "ledgerEntryType": "DEBIT",
        "cpsId": 90658412,
        "configMetadata": null,
        "pointsLedgerId": 65088281,
        "createdOn": 1748950582000,
        "pointsCategoryName": "Main",
        "eventSubjectId": 387970841,
        "processingTime": 1748950581000,
        "points": 26,
        "categoryType": "REGULAR_POINTS",
        "eventTypeId": 3,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"pointInTimeSlabs\": []}",
        "requestId": "a1a18d3c721cae6da73f8e7456401883",
        "customerId": 387970841,
        "eventTime": 1748950581000,
        "eventName": "PointsRedemption",
        "genericEventId": null,
        "eventLogId": 38731921,
        "tillId": 50691660,
        "uniqueId": "X17nAIlTJ3"
      },
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 90658413,
        "configMetadata": null,
        "pointsLedgerId": 65088247,
        "createdOn": 1748950190000,
        "pointsCategoryName": "DelayedAccrualPointCategory",
        "eventSubjectId": -1,
        "processingTime": 1748950189000,
        "points": 10,
        "categoryType": "PROMISED_POINTS",
        "eventTypeId": 23,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"sourceOrgId\": 51512, \"sourceEventId\": \"4eeabf6d-6f70-44dd-8d96-f0cacff686a4\", \"eventSubTypeId\": \"e2cda500150b19d164bbfa0171506e51\", \"pointInTimeSlabs\": []}",
        "requestId": "4eeabf6d-6f70-44dd-8d96-f0cacff686a4",
        "customerId": 387970841,
        "eventTime": 1748950189000,
        "eventName": "GenericEvent",
        "genericEventId": "e2cda500150b19d164bbfa0171506e51",
        "eventLogId": 38731906,
        "tillId": 50692627,
        "uniqueId": "4eeabf6d-6f70-44dd-8d96-f0cacff686a4"
      },
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 90658412,
        "configMetadata": null,
        "pointsLedgerId": 65088246,
        "createdOn": 1748950171000,
        "pointsCategoryName": "Main",
        "eventSubjectId": -1,
        "processingTime": 1748950170000,
        "points": 100,
        "categoryType": "REGULAR_POINTS",
        "eventTypeId": 23,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"sourceOrgId\": 51512, \"sourceEventId\": \"89105351-b518-4bfe-991e-e4f093b85b28\", \"eventSubTypeId\": \"e5de3a00fb7b4d1bdc5673ca65335bcf\", \"pointInTimeSlabs\": []}",
        "requestId": "89105351-b518-4bfe-991e-e4f093b85b28",
        "customerId": 387970841,
        "eventTime": 1748950170000,
        "eventName": "GenericEvent",
        "genericEventId": "e5de3a00fb7b4d1bdc5673ca65335bcf",
        "eventLogId": 38731905,
        "tillId": 50692627,
        "uniqueId": "89105351-b518-4bfe-991e-e4f093b85b28"
      },
      {
        "ledgerEntryType": "CREDIT",
        "cpsId": 90658412,
        "configMetadata": null,
        "pointsLedgerId": 65088245,
        "createdOn": 1748950111000,
        "pointsCategoryName": "Main",
        "eventSubjectId": 468000,
        "processingTime": 1748950111000,
        "points": 100,
        "categoryType": "REGULAR_POINTS",
        "eventTypeId": 25,
        "sourceProgramId": 2809,
        "entityMetadata": "{\"pointInTimeSlabs\": []}",
        "requestId": "81970952-98f7-46ab-9625-fed0fb23b777",
        "customerId": 387970841,
        "eventTime": 1748950110000,
        "eventName": "TargetCompleted",
        "genericEventId": null,
        "eventLogId": 38731904,
        "tillId": 50692627,
        "uniqueId": "1ff9d4953610d8aa0924b24676b34c8c86f6502c"
      }
    ]

Error codes

Error CodeDescription
400Bad Request
404Not Found
500Internal Server Error